# class Win32::SSPI::Identity

SEC_WINNT_AUTH_IDENTITY structure

### Constants

SEC_WINNT_AUTH_IDENTITY_ANSI

### Attributes

domain[RW]
password[RW]
user[RW]

### Public Class Methods

new(user = nil, domain = nil, password = nil) click to toggle source

    # File ext/win32/lib/win32/sspi.rb, line 146
    def initialize(user = nil, domain = nil, password = nil)
      @user = user
      @domain = domain
      @password = password
      @flags = SEC_WINNT_AUTH_IDENTITY_ANSI
    end

### Public Instance Methods

to_p() click to toggle source

    # File ext/win32/lib/win32/sspi.rb, line 153
    def to_p
      [@user, @user ? @user.length : 0,
       @domain, @domain ? @domain.length : 0,
       @password, @password ? @password.length : 0,
       @flags].pack("PLPLPLL")
    end